%global realname snappy
%global upstream fdmanana
%global git_tag 80db168
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}

Name:		erlang-%{realname}
Version:	1.0.3
Release:	0.10.git80db168%{?dist}
Summary:	An Erlang NIF wrapper for Google's snappy library
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/fdmanana/snappy-erlang-nif
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/fdmanana/snappy-erlang-nif.git
%endif
# wget --content-disposition https://github.com/fdmanana/snappy-erlang-nif/tarball/80db168
Source0:	%{upstream}-%{realname}-erlang-nif-%{git_tag}.tar.gz
Patch1:		erlang-snappy-0001-No-bundled-snappy.patch
Patch2:		erlang-snappy-0002-Remove-artificial-dependency-on-the-Erlang-s-version.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-rpm-macros >= 0.1.4
BuildRequires:	snappy-devel
# Error:erlang(erlang:load_nif/2) in R12B or earlier
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
An Erlang NIF wrapper for Google's snappy compressor/decompressor.


%prep
%setup -q -n %{upstream}-%{realname}-erlang-nif-%{git_tag}
%patch1 -p1 -b .no_bundled_snappy
%patch2 -p1 -b .r16
rm -rf c_src/snappy


%build
%rebar_compile


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 priv/%{realname}_nif.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
%__rebar eunit -v


%files
%doc README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nif.so


%changelog
* Tue Nov 04 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.10.git80db168
- Rebuild with Erlang 17.3.3

* Thu Aug 28 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.9.git80db168
- Rebuild with Erlang 17.2.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-0.8.git80db168
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.0.3-0.7.git80db168
- Use new erlang macros to build with $RPM_OPT/LD_FLAGS etc, verbosely

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-0.6.git80db168
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-0.5.git80db168
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.4.git80db168
- Fixed FTBFS in Rawhide (F19)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-0.3.git80db168
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.2.git80db168
- Ensure consistent usage of macros (cosmetic)

* Mon Sep 24 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.3-0.1.git80db168
- initial build
